
User Interface - Feature #2892

Implement browse scrolling with mouse wheel

12/01/2015 05:32 PM - Stanislav Lomany

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Stanislav Lomany % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No version:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Feature #2564: implement GUI BROWSE widget Closed

History

#1 - 04/19/2017 07:36 AM - Stanislav Lomany

Guys, when a 4GL widget is focused you can scroll it with mouse wheel regardless of where the pointer is located. In P2J it seems that a widget

receives mouse scroll event only when the pointer is positioned over the control. E.g. EDITOR is implemented in this way. Is there a way to catch

mouse wheel globally?

#2 - 04/19/2017 01:43 PM - Constantin Asofiei

Stanislav Lomany wrote:

Guys, when a 4GL widget is focused you can scroll it with mouse wheel regardless of where the pointer is located.

 

Is this valid even if the pointer is outside of the active window?

In P2J it seems that a widget receives mouse scroll event only when the pointer is positioned over the control. E.g. EDITOR is implemented in

this way. Is there a way to catch mouse wheel globally?

 

Not without changes at the driver level... currently this sends the mouse events only to the widget hovered by the mouse pointer.

If focused widget can be scrolled regardless where the pointer is located, then this is a more generic problem (and not just related to browse), which

needs to be fixed at both the Swing and Web drivers.  I suggest implementing mouse wheel scroll for browse with the P2J code as it works now and

fix the secondary issue later (or in a different task).
#3 - 04/19/2017 04:31 PM - Stanislav Lomany

Is this valid even if the pointer is outside of the active window?

 

Yes.

#4 - 04/19/2017 06:02 PM - Stanislav Lomany

Created task branch 2892a from P2J trunk revision 11148.

#5 - 04/20/2017 04:55 PM - Stanislav Lomany

Rebased task branch 2892a from P2J trunk revision 11150.

#6 - 08/14/2017 04:31 PM - Stanislav Lomany

Rebased task branch 2892a from P2J trunk revision 11157.

#7 - 08/20/2017 09:22 AM - Stanislav Lomany

Rebased task branch 2892a from P2J trunk revision 11158.

#8 - 08/22/2017 01:34 AM - Stanislav Lomany

Greg, please review 2892a revision 11194 (not the last one), it has passed regression testing.

#9 - 08/22/2017 04:31 PM - Stanislav Lomany

Branch 2892a revision 11196 passed regression testing, can be merged after your review.

#10 - 08/23/2017 04:28 PM - Stanislav Lomany

2892a has been merged into the trunk as bzr revision 11159.

#11 - 08/23/2017 04:38 PM - Greg Shah

- % Done changed from 0 to 100

- Status changed from New to Closed

- Start date deleted (12/01/2015)
